Xweibo for Discuz!X2.5 插件版 可成功安装使用

作者:笨小孩 发布于:2012-10-18 16:23 分类:网站程序

Xweibo 插件版目前 新浪官方只发布了 Discuz!X2.0 版本的插件;

 

Discuz!X2.5 已经发布,  直接使用 Xweibo for Discuz!X2.0  插件版 无法成功安装;

通过如下修改 Xweibo for Discuz!X2.0  也可以用在 Discuz!X2.5  上面,  微博同步测试正常(卸载这个插件会提示 不符合要求,不过没有关系);

 

1:用 支持utf-8 的编辑器打开 /xwb/site.env.php  找到 41 行 替换为 :

define(‘XWB_S_TBPRE’, $GLOBALS[XWB_SITE_GLOBAL_V_NAME]['site_db']->tablepre);

 

2:用 支持utf-8 的编辑器打开 /xwb/install/cfg.php  找到 35 行 替换为:

$_xwb_install['site_ver'] = array(’1.5′,’2.5′);

 

通过以上修改 就可以成功安装了,安装成功,启用 这个 插件即可正常使用了;

 

-----------------------------

以上部分是网上摘录,此种方法经本人亲测,即使安装成功后,登录的时候也不正常,很多问题。等决定卸载的时候发现卸载不掉。没办法,只能重装dz。

标签: discuz Xweibo

发表评论:

手机版 | 
Copyright © 2012 lamp46.com All Right Reserved. sitemap